import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.text.Text;
import javafx.scene.text.TextFlow;


public class TextFlowExample extends Application {
	@Override
	public void start(Stage primaryStage) {
		try {
			TextFlow flow = new TextFlow();
			flow.setLayoutX(40);
			flow.setLayoutY(100);
			Text text1 = new Text("Hello WOrld, ");
			text1.setId("text1");
			Text text2 = new Text("CISC124, ");
			text2.setId("text2");
			Text text3 = new Text("Class");
			text3.setId("text3");
			flow.getChildren().addAll(text1, text2, text3);
			Group root = new Group(flow);
			Scene scene = new Scene(root, 800, 400);
			scene.getStylesheets().add(getClass().getResource("application.css").toExternalForm());
			primaryStage.setScene(scene);
			primaryStage.setTitle("TextFlow Demo");
			primaryStage.show();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	public static void main(String[] args) {
		launch(args);
	}
}
