import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;

public class JavaFXVersion extends Application {

    @Override
    public void start(Stage stage) {
		
		// Define scene content --> Rooted tree of components. 	
        String javaVersion = System.getProperty("java.version");
        String javafxVersion = System.getProperty("javafx.version");
        Label msg = new Label("JavaFX " + javafxVersion + " running on Java " + javaVersion + ".");
		
		// Create scene object. Pass the "root container" of the scene's content.
        Scene scene = new Scene(new StackPane(msg), 400, 200);
		
		// Set the stage with created scene.
        stage.setScene(scene);
		
		// Show the stage (i.e. display application window to the user)
        stage.show();
    }

    public static void main(String[] args) {
		
        launch();
    }

}